Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
LogConfig..::.AutoRemove Field
LogConfig Class See Also

If true, Berkeley DB will automatically remove log files that are no longer needed.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public bool AutoRemove

Visual Basic (Declaration)
    Public AutoRemove As Boolean

Visual C++
    public:
    bool AutoRemove

# Remarks

Automatic log file removal is likely to make catastrophic recovery impossible.

Replication applications will rarely want to configure automatic log file removal as it increases the likelihood a master will be unable to satisfy a client's request for a recent log record.

# See Also

LogConfig Class
BerkeleyDB Namespace